
from common import *
from common_dsp import *
from file_io import *
import os
import matplotlib
matplotlib.use('TkAgg')
import matplotlib.pyplot as plt
import numpy as np
from scipy.fftpack import fft,ifft, fftfreq, fftshift

REC_FILE = os.environ['RADIOHDL']+'/applications/apertif/apertif_unb1_correlator/tb/rec/wpfb_src_out_arr0.rec'
WPFB_OUT_DATA_WIDTH = 14
NOF_CHANNELS = 64

################################################################################
# Read the lines from the file and turn them into a list
################################################################################
complex_list = rec_file_to_complex(REC_FILE, complex_width=WPFB_OUT_DATA_WIDTH)

################################################################################
## Plot FFT
################################################################################
f = deinterleave(complex_list[5], 2, 1)[0]

T = 1.0 / NOF_CHANNELS
yf = fft_reorder(f)
xf = range(NOF_CHANNELS)
xf = fftshift(xf)
yplot = fftshift(yf)
plt.bar(xf, 1.0/NOF_CHANNELS * np.abs(yplot))
plt.grid()
plt.show()


